'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var style = require('./style.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Thumbnails = _ref => {
  var {
    photoSrcs
  } = _ref;

  /**
   * Thumbnail images set with empty alt text because they are decorative.
   * Accessible Accordion functionality does not depend on these thumbnails.
   */
  var renderThumbnails = () => {
    if (photoSrcs.length === 0) {
      return null;
    }

    var firstThumbnail = react.jsx(style["default"].ImageContainer, null, react.jsx(style["default"].ThumbnailImage, {
      alt: "",
      src: photoSrcs[0]
    }));

    var secondThumbnail = null;

    if (photoSrcs.length === 2) {
      secondThumbnail = react.jsx(style["default"].ImageContainer, null, react.jsx(style["default"].ThumbnailImage, {
        alt: "",
        src: photoSrcs[1]
      }));
    } else if (photoSrcs.length > 2) {
      secondThumbnail = react.jsx(style["default"].MultiplesContainer, null, react.jsx(style["default"].MultiplesText, null, "+", photoSrcs.length - 1));
    }

    return react.jsx(React__default["default"].Fragment, null, firstThumbnail, secondThumbnail);
  };

  return react.jsx(style["default"].Container, null, renderThumbnails());
};

exports.Thumbnails = Thumbnails;
