import React from 'react';
export interface AnchorLinkButtonProps extends React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> {
    /**
     * Text to be displayed
     */
    children: string;
    onClick: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
}
/**
 * `AnchorLinkButton` will render an "anchor-link-like" button for triggering changes to the page, typically initiating modals.
 *
 * It should not be used for navigation: see `LinkButton` documentation for navigation functionality.
 *
 * It is the only "Button" that does not extend the functionality/styling of our base Button component.
 */
export declare const AnchorLinkButton: React.ForwardRefExoticComponent<AnchorLinkButtonProps & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=index.d.ts.map