'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var react = require('@emotion/react');
var style = require('./style.cjs');
require('@babel/runtime/helpers/extends');
require('@babel/runtime/helpers/objectWithoutProperties');
require('../../constants/breakpoints/index.cjs');
require('../../constants/grid/index.cjs');
require('../../constants/mediaQueries/index.cjs');
require('../../constants/boxShadows/primary.cjs');
require('../../constants/boxShadows/secondary.cjs');
var checkmarkIcon = require('../../icons/icons/checkmarkIcon.cjs');
var errorIcon = require('../../icons/icons/errorIcon.cjs');
var index = require('../verificationMessages/index.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Field = _ref => {
  var {
    children: inputChild,
    disabled = false,
    hideMessagesIcon = false,
    hintMessage = '',
    label = '',
    labelFor = '',
    messages = {},
    messagesType = 'error'
  } = _ref;
  var theme = react.useTheme();
  var htmlFor = labelFor || label;
  var messagesKeys = Object.keys(messages);
  var showMessages = messagesKeys.length > 0;
  var MessageIcon = messagesType === 'success' ? react.jsx(checkmarkIcon["default"], {
    fill: theme.COLORS.success,
    className: "radiance-field-input-icon"
  }) : react.jsx(errorIcon["default"], {
    fill: theme.COLORS.error,
    className: "radiance-field-input-icon"
  });
  var {
    id
  } = inputChild.props;
  var isInvalid = showMessages && messagesType === 'error';
  return react.jsx(style["default"].FieldContainer, null, !!label && react.jsx(style["default"].Label, {
    htmlFor: htmlFor,
    disabled: disabled
  }, label), react.jsx(style["default"].InputContainer, {
    showMessages: showMessages,
    messagesType: messagesType
  }, hideMessagesIcon || MessageIcon, /*#__PURE__*/React__default["default"].cloneElement(inputChild, {
    disabled,
    'aria-invalid': isInvalid || undefined
  }), !!hintMessage && react.jsx(style["default"].HintItem, null, hintMessage), react.jsx(index.VerificationMessages, {
    messages: messages,
    type: messagesType,
    inputId: id
  })));
};
Field.Textarea = style["default"].Textarea;
Field.Input = style["default"].Input;

exports.Field = Field;
