'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var react = require('@emotion/react');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);

var _excluded = ["displayInline", "IconComponent", "rotate"];
var Icon = _ref => {
  var {
    displayInline = false,
    IconComponent,
    rotate = 0
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  return react.jsx(IconComponent, _extends__default["default"]({
    css: style["default"].iconStyles({
      displayInline,
      fill: rest.fill,
      rotate
    })
  }, rest));
};
var useIcon = (PrimaryIcon, SecondaryIcon, props) => {
  var theme = react.useTheme();
  var ThemeIcon = theme.__type === 'primary' || theme.__type === 'tertiary' ? PrimaryIcon : SecondaryIcon;
  if (ThemeIcon === null) return null;
  return react.jsx(Icon, _extends__default["default"]({
    IconComponent: ThemeIcon
  }, props));
};

exports.Icon = Icon;
exports.useIcon = useIcon;
