import React from 'react';
declare type SVGComponent = React.ComponentType<React.SVGProps<SVGSVGElement>>;
export interface IconProps extends React.SVGProps<SVGSVGElement> {
    className?: string;
    /**
     * Displays svg `inline-block` instead of `block`
     */
    displayInline?: boolean;
    fill?: string;
    height?: string | number;
    /**
     * Clockwise rotation, in degrees.
     */
    rotate?: number;
    width?: string | number;
    [key: string]: unknown;
}
export declare type RadianceIconComponent = (props: IconProps) => ReturnType<typeof useIcon>;
/**
 * Helper component to pass the necessary props down to direct SVG imports, supported by @svgr (cli and rollup).
 *
 * **This component should not be used directly**, and so is not included in the `shared-components` export.
 */
export declare const Icon: React.FC<IconProps & {
    IconComponent: SVGComponent;
}>;
export declare const useIcon: (PrimaryIcon: SVGComponent | null, SecondaryIcon: SVGComponent | null, props: IconProps) => JSX.Element | null;
export {};
//# sourceMappingURL=index.d.ts.map