'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var react = require('@emotion/react');
var style = require('./style.cjs');

var LoadingSpinner = _ref => {
  var {
    bgColor,
    color,
    duration = 2,
    size = '14px',
    translateX = '100px'
  } = _ref;
  var theme = react.useTheme();
  var bgColorWithTheme = bgColor !== null && bgColor !== void 0 ? bgColor : theme.COLORS.background;
  var colorWithTheme = color !== null && color !== void 0 ? color : theme.COLORS.primary;
  return react.jsx(style["default"].LoadingSpinnerContainer, {
    bgColor: bgColorWithTheme
  }, react.jsx(style["default"].Overlay, null, react.jsx(style["default"].Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  }), react.jsx(style["default"].Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  }), react.jsx(style["default"].Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  })));
};

exports.LoadingSpinner = LoadingSpinner;
