'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var react = require('@emotion/react');

var OffClickWrapper = _ref => {
  var {
    children,
    className,
    onOffClick
  } = _ref;
  var containerRef = React.useRef(null);

  var handleKeyPress = event => {
    if (event.key === 'Escape') {
      onOffClick(event);
    }
  };

  var handleOffClick = event => {
    var node = containerRef.current;

    if (!node) {
      return;
    }

    if (node.contains(event.target)) {
      return;
    }

    onOffClick(event);
  };

  React.useEffect(() => {
    document.addEventListener('click', handleOffClick, {
      capture: true
    });
    document.addEventListener('keydown', handleKeyPress, {
      capture: true
    });
    return () => {
      document.removeEventListener('click', handleOffClick, false);
      document.removeEventListener('keydown', handleKeyPress, false);
    };
  }, []);
  return react.jsx("div", {
    ref: containerRef,
    className: className
  }, children);
};

exports.OffClickWrapper = OffClickWrapper;
