'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var react = require('@emotion/react');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);

var _excluded = ["backgroundColor", "barColor", "height", "loadingTime", "status"];
var ProgressBar = _ref => {
  var {
    backgroundColor,
    barColor,
    height = 4,
    loadingTime = '20s',
    status
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  var theme = react.useTheme();
  var backgroundColorWithTheme = backgroundColor !== null && backgroundColor !== void 0 ? backgroundColor : theme.COLORS.background;
  var barColorWithTheme = barColor !== null && barColor !== void 0 ? barColor : theme.COLORS.primary;
  return react.jsx(style["default"].OuterContainer, _extends__default["default"]({
    status: status,
    barHeight: height,
    backgroundColor: backgroundColorWithTheme // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), react.jsx(style["default"].InnerBar, {
    status: status,
    barHeight: height,
    barColor: barColorWithTheme,
    loadingTime: loadingTime
  }));
};

exports.ProgressBar = ProgressBar;
