import React from 'react';
import { PROGRESS_BAR_STATUS, ThemeColors } from '../../constants';
export declare type ProgressBarStatusType = valueof<typeof PROGRESS_BAR_STATUS>;
export interface ProgressBarProps {
    backgroundColor?: ThemeColors;
    barColor?: ThemeColors;
    /**
     * The bar height
     */
    height?: number;
    /**
     * The time that would take to load the bar completely. Must be valid animation value.
     */
    loadingTime?: string;
    status: ProgressBarStatusType;
    [key: string]: unknown;
}
/**
 * The component has `position: absolute` by default. You must provide a container with `position: relative` to contain the progress bar. To further refine the position, you may use custom styles.
 *
 * To start the animation use `loading` status. To control the result pass `success` or `error` to the status property.
 */
export declare const ProgressBar: React.FC<ProgressBarProps>;
//# sourceMappingURL=index.d.ts.map