'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var style = require('./style.cjs');
var react = require('@emotion/react');

var Tabs = _ref => {
  var {
    initialActiveTabId = 1,
    onClick = () => undefined,
    tabItems
  } = _ref;
  var [activeTabId, setActiveTabId] = React.useState(initialActiveTabId);

  var onTabClick = tab => {
    setActiveTabId(tab.id);
    onClick(tab);
  };

  return react.jsx(style["default"].TabsContainer, null, tabItems.map(tab => react.jsx(style["default"].TabItem, {
    active: tab.id === activeTabId,
    key: tab.id,
    onClick: () => {
      onTabClick(tab);
    }
  }, tab.text)));
};

exports.Tabs = Tabs;
