'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('@emotion/react');
require('react');
var ToggleButton = require('react-toggle-button');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var ToggleButton__default = /*#__PURE__*/_interopDefaultLegacy(ToggleButton);

var toggleInputStyles = {
  margin: '0',
  height: '24px',
  width: '40px',
  position: 'absolute'
};
/**
 * The `<Toggle>` component is usually wrapped in a `container` element (with a fixed `width` style for example).
 * The toggle and label are spread in the container (`space-between`) from edge to edge.
 */

var Toggle = _ref => {
  var {
    checked = false,
    label = '',
    onChange
  } = _ref;
  var theme = react.useTheme();
  return react.jsx(style["default"].Container, null, label && react.jsx(style["default"].Label, {
    onClick: onChange
  }, label), react.jsx(style["default"].ReactToggleButtonContainer, null, react.jsx(ToggleButton__default["default"], {
    value: checked || false,
    onToggle: onChange,
    inactiveLabel: "",
    activeLabel: "",
    thumbStyle: style["default"].thumbStyle(theme),
    trackStyle: style["default"].trackStyle,
    thumbAnimateRange: [1, 17],
    colors: {
      active: {
        base: theme.COLORS.secondary
      },
      inactive: {
        base: theme.COLORS.defaultBorder
      },
      activeThumb: {
        base: theme.COLORS.white
      },
      inactiveThumb: {
        base: theme.COLORS.white
      }
    },
    passThroughInputProps: {
      style: toggleInputStyles
    }
  })));
};

exports.Toggle = Toggle;
