'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var react = require('@emotion/react');
require('@babel/runtime/helpers/extends');
require('@babel/runtime/helpers/objectWithoutProperties');
require('../../constants/breakpoints/index.cjs');
require('../../constants/grid/index.cjs');
require('../../constants/mediaQueries/index.cjs');
require('../../constants/boxShadows/primary.cjs');
require('../../constants/boxShadows/secondary.cjs');
var arrowIcon = require('../../icons/icons/arrowIcon.cjs');
var index = require('../offClickWrapper/index.cjs');
var style = require('./style.cjs');

var Tooltip = _ref => {
  var {
    alignRightPercent = 0,
    alignTopPercent = 0,
    arrowAlign = 'middle',
    children,
    content = '',
    defaultOpen = false,
    disableHover = false,
    display = true,
    hasRestrictedWidth = false,
    isSmall = false,
    nudgeBottom = 0,
    nudgeLeft = 0,
    nudgeRight = 0,
    nudgeTop = 0,
    position = 'top'
  } = _ref;
  var theme = react.useTheme();
  var [clicked, setClicked] = React.useState(false);
  var [hovered, setHovered] = React.useState(false);

  var onClick = () => {
    setClicked(!clicked);
  };

  var closeTooltip = () => {
    setClicked(false);
    setHovered(false);
  };

  var handleMouseEnter = () => {
    if (disableHover) {
      return;
    }

    setHovered(true);
  };

  var handleMouseLeave = () => {
    setHovered(false);
  };

  var open = defaultOpen || clicked || hovered;
  return react.jsx(index.OffClickWrapper, {
    onOffClick: closeTooltip
  }, react.jsx(style["default"].MainContainer, null, react.jsx(style["default"].Trigger, {
    onClick: onClick,
    onMouseEnter: handleMouseEnter,
    onMouseLeave: handleMouseLeave
  }, children), react.jsx(style["default"].TooltipBox, {
    alignRightPercent: alignRightPercent,
    alignTopPercent: alignTopPercent,
    arrowAlign: arrowAlign,
    onClick: open ? onClick : undefined,
    displayTooltip: display,
    hasRestrictedWidth: hasRestrictedWidth,
    isSmall: isSmall,
    nudgeBottom: nudgeBottom,
    nudgeLeft: nudgeLeft,
    nudgeRight: nudgeRight,
    nudgeTop: nudgeTop,
    open: open,
    position: position
  }, react.jsx(style["default"].TooltipContent, null, content), react.jsx(style["default"].ArrowImageContainer, {
    arrowAlign: arrowAlign,
    position: position
  }, react.jsx(arrowIcon["default"], {
    width: 16,
    height: 16,
    fill: theme.COLORS.primary
  })))));
};

exports.Tooltip = Tooltip;
