import React from 'react';
export declare type ArrowAlignTypes = 'left' | 'middle' | 'right';
export declare type PositionTypes = 'top' | 'bottom';
export interface TooltipProps {
    /**
     * Adjusts positioning, in percent
     */
    alignRightPercent?: number;
    /**
     * Adjusts positioning, in percent
     */
    alignTopPercent?: number;
    arrowAlign?: ArrowAlignTypes;
    /**
     * Content of the trigger element displayed on page
     */
    children: React.ReactNode;
    /**
     * Content of the tooltip
     */
    content?: React.ReactNode;
    /**
     * Show the tooltip without the need of the trigger
     */
    defaultOpen?: boolean;
    /**
     * When true, the tooltip will open on click only and not on hover
     */
    disableHover?: boolean;
    /**
     * Programatically control the tooltip to never show (false) or function as normal (true)
     */
    display?: boolean;
    /**
     * Makes the tooltip have a maximun width of 327px
     */
    hasRestrictedWidth?: boolean;
    /**
     * Small tooltip with very little padding
     */
    isSmall?: boolean;
    /**
     * Adjusts positioning, in px
     */
    nudgeBottom?: number;
    /**
     * Adjusts positioning, in px
     */
    nudgeLeft?: number;
    /**
     * Adjusts positioning, in px
     */
    nudgeRight?: number;
    /**
     * Adjusts positioning, in px
     */
    nudgeTop?: number;
    position?: PositionTypes;
}
/**
 * Tooltips provide additional context to elements or give patients hints about new features or updates.
 *
 * They can be triggered from an icon or another component (such as a navigation link)
 */
export declare const Tooltip: React.FC<TooltipProps>;
//# sourceMappingURL=index.d.ts.map