'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var reactTransitionGroup = require('react-transition-group');
var style = require('./style.cjs');
var index = require('../../utils/helperTransition/index.cjs');
var index$1 = require('./formatMessage/index.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var VerificationMessages = _ref => {
  var {
    centered = false,
    inputId,
    messages = {},
    type = 'error'
  } = _ref;
  var messageKeys = Object.keys(messages);
  var showMessages = messageKeys.length > 0;
  return react.jsx(reactTransitionGroup.TransitionGroup, {
    component: centered ? style["default"].CenteredMessageList : style["default"].MessageList
  }, showMessages ? messageKeys.filter(key => {
    var message = messages[key];

    if (!Array.isArray(message)) {
      return true;
    }

    return message.length > 0;
  }).map(key => react.jsx(index["default"], {
    key: key
  }, react.jsx(style["default"].MessageItem, {
    type: type
  }, react.jsx("output", {
    htmlFor: inputId,
    role: "alert"
  }, index$1["default"](messages[key]))))) : // eslint-disable-next-line react/jsx-no-useless-fragment -- TransitionGroup type compatibility
  react.jsx(React__default["default"].Fragment, null));
};

exports.VerificationMessages = VerificationMessages;
